import { OnInit, OnDestroy, TemplateRef } from '@angular/core';
import { ModalController } from './modal-controller';
export declare class ModalBaseComponent implements OnDestroy, OnInit {
    private modalController;
    template: TemplateRef<any>;
    isShow: boolean;
    private subs;
    constructor(modalController: ModalController);
    ngOnInit(): void;
    ngOnDestroy(): void;
    animationEnd(): void;
}
